Bug 1771484 - Client side documentation links are not branded
Summary: Client side documentation links are not branded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Branding
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.8.0
Assignee: Ron Lavi
QA Contact: Akhil Jha
URL:
Whiteboard:
: 1804607 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 13:12 UTC by Shimon Shtein
Modified: 2020-10-27 12:59 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-6.0.1.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29067 0 Normal Ready For Testing add the extend ability to audits metadata 2020-10-28 17:19:57 UTC
Foreman Issue Tracker 29135 0 Normal Closed Add external links controller 2020-10-28 17:19:57 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:38 UTC

Description Shimon Shtein 2019-11-12 13:12:55 UTC
Right now the only link affected is documentation link on audits page:
https://github.com/theforeman/foreman/blob/7e7dfe435f082705109f0b8f6546d6ed8c71f04b/webpack/assets/javascripts/react_app/routes/Audits/AuditsPage/AuditsPage.js#L28

We still don't know how to brand links generated in react components. Possible workaround would be hard-coding the relevant in downstream repo.

This will have a permanent solution in 6.8

Comment 3 Shimon Shtein 2020-01-21 13:38:56 UTC
Opened an RFC: https://community.theforeman.org/t/flexibility-in-documentation-links/17062

Comment 7 Ron Lavi 2020-02-24 08:27:44 UTC
*** Bug 1804607 has been marked as a duplicate of this bug. ***

Comment 8 Shimon Shtein 2020-02-25 11:33:08 UTC
Connecting redmine issue https://projects.theforeman.org/issues/29135 from this bug

Comment 10 Bryan Kearney 2020-05-11 16:02:01 UTC
Upstream bug assigned to rlavi

Comment 11 Bryan Kearney 2020-05-11 16:02:05 UTC
Upstream bug assigned to rlavi

Comment 13 Ron Lavi 2020-07-15 13:33:14 UTC
Hey, the link to audits page is: http://your-domain/audits

on my dev machine that resemble Sat 6.8,
i can see that the documentation button links correctly to: https://access.redhat.com/documentation/en-us/red_hat_satellite/6.7/html/planning_for_red_hat_satellite_6/appe-red_hat_satellite-architecture_guide-glossary_of_terms#varl-Glossary_of_Terms-Audits

this seem to be fixed by Shim in https://gitlab.sat.engineering.redhat.com/satellite6/foreman_theme_satellite/-/merge_requests/273

I think this BZ can be closed

Comment 17 errata-xmlrpc 2020-10-27 12:59:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.